数据提供商: DataForSEO
使用DataForSEO获取目标对象的精简AI提及指标。
每次调用 $0.10 起在 60 秒内响应
在一个地点、使用同一种语言,可以按平台分别查看一个或多个关键词或域名的被提及次数以及AI搜索量,每个平台的数据会显示在单独的一行中。每一行都包含了相应的位置、语言、平台、被提及的次数以及AI搜索量等信息。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。默认地区为美国(location_code 2840);ChatGPT 回答仅支持美国英语数据,不在 DataForSEO LLM Mentions 地区列表中的地区会被拒绝。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/ai_optimization/llm_mentions/target_metrics_lite/live on Glasser.bash
glasser run -p dataforseo -e '/v3/ai_optimization/llm_mentions/target_metrics_lite/live' -i '{"limit":20,"target":[{"keyword":"bmw","search_scope":["answer"]}],"language_code":"en","location_code":2840}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/ai_optimization/llm_mentions/target_metrics_lite/live","input":{"limit":20,"target":[{"keyword":"bmw","search_scope":["answer"]}],"language_code":"en","location_code":2840},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
报告品牌在 AI 回答中的曝光情况时,可以在可用数据中查找品牌提及,并收集支持证据。
复制此提示词到你的 Agent,审阅 AI 可见度报告的证据。
提示词
Use dataforseo:/v3/ai_optimization/llm_mentions/target_metrics_lite/live on Glasser.
Find evidence of my brand in the returned AI visibility data for my monitoring report.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"location_code",
"language_code",
"limit",
"target"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 20,
"minimum": 1
},
"offset": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"target": {
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"required": [
"domain"
],
"properties": {
"domain": {
"type": "string",
"pattern": "^(?!https?:\\/\\/)(?!www\\.)[a-z0-9.-]+$",
"maxLength": 63,
"minLength": 1
},
"search_scope": {
"type": "array",
"items": {
"enum": [
"any",
"sources",
"search_results"
],
"type": "string"
},
"maxItems": 3,
"minItems": 1
},
"search_filter": {
"enum": [
"include",
"exclude"
],
"type": "string"
},
"include_subdomains": {
"type": "boolean"
}
},
"additionalProperties": false
},
{
"type": "object",
"required": [
"keyword"
],
"properties": {
"keyword": {
"type": "string",
"maxLength": 250,
"minLength": 1
},
"match_type": {
"enum": [
"word_match",
"partial_match"
],
"type": "string"
},
"search_scope": {
"type": "array",
"items": {
"enum": [
"any",
"question",
"answer",
"brand_entities",
"fan_out_queries"
],
"type": "string"
},
"maxItems": 5,
"minItems": 1
},
"search_filter": {
"enum": [
"include",
"exclude"
],
"type": "string"
}
},
"additionalProperties": false
}
]
},
"maxItems": 10,
"minItems": 1
},
"platform": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"location_code": {
"type": "integer"
}
},
"additionalProperties": false
}json
{
"limit": 20,
"target": [
{
"keyword": "bmw",
"search_scope": [
"answer"
]
}
],
"language_code": "en",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.10 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.001 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.12 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |